//
//  FollowersRouter.swift
//  VKExt
//
//  Created Ярослав Стрельников on 31.07.2020.
//  Copyright © 2020 ___ORGANIZATIONNAME___. All rights reserved.
//
//  Template generated by Juanpe Catalán @JuanpeCMiOS
//

import UIKit

class FollowersRouter: FollowersWireframeProtocol {
    
    weak var viewController: UIViewController?
    weak var baseViewController: UIViewController?
    
    class func createModule(_ viewController: FollowersViewController) {
        // Change to get view from storyboard if not using progammatic UI
        let interactor = FollowersInteractor()
        let router = FollowersRouter()
        let presenter = FollowersPresenter(interface: viewController, interactor: interactor, router: router)
        
        viewController.presenter = presenter
        interactor.presenter = presenter
        router.viewController = viewController
        presenter.interactor = interactor
        router.baseViewController = viewController
    }
}
